{% extends 'admin-index.html' %}

{% block content %}
    <div class="col-md-12 col-sm-12  ">
        <div class="x_panel">
            <div class="x_title">
                <h2>Atualidades</h2>
                <ul class="nav navbar-right panel_toolbox">
                    <li>
                        <button type="button" onclick="location.href = {% url 'atualidade_create' %}"
                                class="btn btn-primary">Adicionar Atualidade
                        </button>
                    </li>
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">

                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Título</th>
                        <th>Autor</th>
                        <th>Data de Atualização</th>
                        <th>Categoria</th>
                        <th>Ações</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for atualidade in object_list %}
                        <tr>
                            <th scope="row">{{ atualidade.titulo }}</th>
                            <td>{{ atualidade.autor }}</td>
                            <td>{{ atualidade.data }}</td>
                            <td>{{ atualidade.categoria }}</td>
                            <td>
                                <a href="{% url 'atualidade_update' pk=atualidade.pk %}">
                                    <i class="fa fa-edit fa-lg" style="height: 20px; width: 20px; padding-right: 25px;"></i>
                                </a>
                                <a href="{% url 'atualidade_delete' pk=atualidade.pk %}">
                                    <i class="fa fa-trash fa-lg" style="height: 20px; width: 20px;"></i>
                                </a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>

            </div>
        </div>
    </div>
{% endblock %}